{
    "format_version": "1.20.50",
    "minecraft:item": {
        "description": {
            "identifier": "eddieworks:sewing_machine_filled",
            "category": "Items"
        },
        "components": {
            "minecraft:icon": { "texture": "sewing_machine_filled" },
            "minecraft:entity_placer": { "entity": "eddieworks:sewing_machine" }
        }
    }
}